Show / Hide Table of Contents

# Struct AgentRecipeNote

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentRecipeNote

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### SelectedRecipeIndex

##### Declaration

    public int SelectedRecipeIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentRecipeNote*Instance()

##### Returns

Type | Description
--- | ---
AgentRecipeNote* |

| Improve this Doc View Source

#### OpenRecipeByItemId(UInt32)

##### Declaration

    public void OpenRecipeByItemId(uint itemID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemID |

| Improve this Doc View Source

#### OpenRecipeByRecipeId(UInt32)

##### Declaration

    public void OpenRecipeByRecipeId(uint recipeID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | recipeID |

| Improve this Doc View Source

#### OpenRecipeByRecipeIdInternal(UInt32)

##### Declaration

    public void OpenRecipeByRecipeIdInternal(uint internalRecipeID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | internalRecipeID |

| Improve this Doc View Source

#### SearchRecipe(Utf8String*, Byte, Boolean)

##### Declaration

    public void SearchRecipe(Utf8String*text, byte a3, bool pushHistory)

##### Parameters

Type | Name | Description
--- | --- | ---
Utf8String* | text |
System.Byte | a3 |
System.Boolean | pushHistory |